Bug 50866 - the /sbin/devfsd deamon (rpm package) is missing
Summary: the /sbin/devfsd deamon (rpm package) is missing
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-04 02:02 UTC by Pawel Worach
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-11 13:35:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pawel Worach 2001-08-04 02:02:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.7-ac4 i686; Nav)

Description of problem:
After compiling a kernel with devfs support and the system is rebooted
is complains a lot because the /sbin/devfsd daemon is missing (rpm package
is missing too) it is not started by /etc/rc.d/rc.sysinit.

How reproducible:
Always

Steps to Reproduce:
1. Compile kernel with devfs support
2. modify /boot/grub/grub.conf to include your new kernel
3. reboot and voila!


Expected Results:  The devfsd damon should have been started by
/etc/rc.d/rc.sysinit if it was there....

Additional info:

Installing devfsd RPM from Redhat 7.1 solved this problem,
i hope devfsd will be included in the final roswell release!

Comment 1 Arjan van de Ven 2001-08-04 08:34:16 UTC
We will not be including devfsd as it has WAY too many security holes that
haven't been addressed by the maintainer yet (in the at least 3 months that he
has been notified of them). I might consider including the source of it in the
kernel-source package though, so you can compile it with your kernel.

Comment 2 Pawel Worach 2001-08-19 10:53:25 UTC
It looks like Richard Gooch has started fixing bugs in the devfs code,
so maybe there is a chance for it to be included?


Note You need to log in before you can comment on or make changes to this bug.